package cn.ezhizao.project.business.collection.service.impl;
import cn.ezhizao.project.business.collection.domain.BizCollectionDetail;
import cn.ezhizao.project.business.collection.mapper.BizCollectionDetailMapper;
import cn.ezhizao.project.business.collection.service.IBizCollectionDetailService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Collections;
import java.util.List;
import java.util.Map;

/**
 * @author 朱汕
 */

@Service
public class BizCollectionDetailServiceImpl extends ServiceImpl<BizCollectionDetailMapper, BizCollectionDetail> implements IBizCollectionDetailService {


    @Resource
    BizCollectionDetailMapper collectionDetailDao;

    @Override
    public List<BizCollectionDetail> getList(Map<String,Object> conditions) {
        return collectionDetailDao.getList(conditions);
    }

    @Override
    public List<BizCollectionDetail> getListByBean(BizCollectionDetail collectionDetail) {
        return collectionDetailDao.getList(collectionDetail);
    }

    @Override
    public int getTotal(Map<String,Object> conditions) {
        return collectionDetailDao.getTotal(conditions);
    }

    @Override
    public Integer physicallyDelete(BizCollectionDetail conditions) {
        return collectionDetailDao.physicallyDelete(conditions);
    }

    @Override
    public List<BizCollectionDetail> getDetailList(BizCollectionDetail collectionDetail) {
        return collectionDetailDao.getDetailList(collectionDetail);
    }
}
